Atualização para correção de Meltdown e Spectre no Ubuntu está causando problemas - Diolinux - O modo Linux e Open Source de ver o Mundo

Responsive Ad Slot

Atualização para correção de Meltdown e Spectre no Ubuntu está causando problemas

A atualização de segurança acabou causando problemas entre alguns usuários que não conseguiam mais inicializar o seus sistemas

sexta-feira, 12 de janeiro de 2018

/ por Dionatan Simioni
Nesta semana estamos falando muito sobre as famosas falhas nos processadores, especialmente os da Intel, e a esta altura do campeonato você já deve estar sabendo de todo o ocorrido, se você está por fora da situação, recomendo que leia este artigo.

Ubuntu Spectre e Meltdown






Conforme as correções foram sendo disponibilizadas, as empresas começaram a atualizar os seus sistemas. Apesar da correção para Linux ser sido feita no "day 1", as distros vão adaptando as  suas correções aos poucos, pois existem ajustes que devem ser feitos para evitar problemas.

Curiosamente, a correção para estes dois problemas parece estar afetando algumas máquinas com Ubuntu 16.04 LTS. Eu mesmo identifiquei esse problema em um dos computadores do Diolinux que tem um Core i5 3330. No entanto, computadores e Notebooks tanto com Intel e AMD, com Ubuntu 18.04 Dev Branch, e Linux Mint 18.3 (que compartilha a mesma base do 16.04) não tiveram este problema.

A Canonical liberou as notas de correção para o Ubuntu que afetam versões específicas do Kernel:

ꔷ Ubuntu 17.10 (Artful) — Linux 4.13 HWE
ꔷ Ubuntu 16.04 LTS (Xenial) — Linux 4.4 (and 4.4 HWE)
ꔷ Ubuntu 14.04 LTS (Trusty) — Linux 3.13
ꔷ Ubuntu 12.04 ESM** (Precise) — Linux 3.2

A versão do Kernel que parece estar dando problema é a 4.4 e o problema consiste em uma falha na inicialização do Ubuntu depois de fazer a atualização, inclusive, um dos leitores do blog/inscritos do canal entrou em contato informando o problema.

Bug Ubuntu
Imagem enviada pelo leitor vinkiador HG

Até que a Canonical corrija esse problema, a minha recomendação (tanto para Ubuntu, quanto para derivados do 16.04 LTS) é atualizar o Kernel para a versão 4.13 (para ter o patch) ou para qualquer outra que não possua o patch de correção para o Meltdown e Spectre (o que obviamente, volta a tornar o seu sistema vulnerável), mas deixa o computador plenamente funcional.

Outra alternativa que não envolve mexer diretamente com o Kernel, é simplesmente voltar a usar a versão antiga no seu Ubuntu, a mesma que você utilizava antes da atualizações.

Para isso, basta entrar no modo de recuperação do GRUB e escolher a versão antiga do Kernel, para fins de informação, recomendo que veja este vídeo para entender como essa sessão funciona:


Claro que essa é um solução temporária, até que a Canonical corrija o problema (se você foi afetado por ele, claro), você terá de iniciar o seu sistema dessa forma, no entanto, caso você queira mudar a entrada do GRUB para que ele já inicie com a versão do Kernel que você deseja, aprenda a instalar o GRUB Customizer, com essa ferramenta você consegue ajustar isso facilmente.


Bugs tão profundos nos CPU como estes parecem estar dando muita dor de cabeça para os desenvolvedores, nem a Microsoft conseguiu evitar isso, segundo os nossos amigos de portugueses do PPLWare, a correção para processadores Intel no Windows acabou gerando bugs em alguns usuários de AMD.

Leia também: Este script te ajuda a identificar as falhas Spectre e Meltdown no Linux

Independente do sistema que você use (ou distro) fique ligado nos mantenedores para saber quais as atualizações propostas por eles, as vezes esperar para colocar uma atualização mais estável pode ser viável, dependendo do seu ambiente.

Mais informações sobre esses problemas você encontra na sessão do time de segurança do Ubuntu no site oficial.

Até a próxima!
_____________________________________________________________________________
Viu algum erro ou gostaria de adicionar alguma sugestão a essa matéria? Colabore, clique aqui.


Blog Diolinux © all rights reserved
made with by templateszoo